using System.ComponentModel;
using Hotline.Exams.Base;
using SqlSugar;

namespace Hotline.Exams.Trains
{
    /// <summary>
    /// 培训计划
    /// </summary>
    [Description("培训计划")]
    public class ExamTrainPlan:ExamBusinessEntity
    {
        /// <summary>
        /// 培训编码
        /// </summary>
        [SugarColumn(ColumnDescription ="培训编码")]
        [Description("培训编码")]
        public string Code { get; set; }

        /// <summary>
        /// 培训标题
        /// </summary>
        [SugarColumn(ColumnDescription = "培训标题")]
        [Description("培训标题")]
        public string Name { get; set; }

        /// <summary>
        /// 培训开始时间
        /// </summary>
        [SugarColumn(ColumnDescription = "培训开始时间")]
        [Description("培训开始时间")]
        public DateTime TrainStartTime { get; set; }

        /// <summary>
        /// 培训结束时间
        /// </summary>
        [SugarColumn(ColumnDescription = "培训结束时间")]
        [Description("培训结束时间")]
        public DateTime TrainEndTime { get; set; }

        [Navigate(NavigateType.OneToMany,nameof(ExamTrainPlanTemplate.TrainPlanId))]
        public List<ExamTrainPlanTemplate> TrainPlanTemplates { get; set; }

        [Navigate(NavigateType.OneToMany, nameof(ExamTrainRecord.TrainPlanId))]
        public List<ExamTrainRecord> TrainRecords { get; set; }
    }
}
